
Enduro/X Core - Support #252

Feature # 328 (Closed): Enduro/X Version 6.0 master task

Implement proper alignment handling for UBF

11/20/2017 12:23 PM - Madars

Status: Closed Start date: 11/20/2017

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

We get bus-error on sparc platform. For un-aligned data access.

History

#1 - 11/22/2017 11:34 AM - Madars

One way to perform this would:

- the BFLDID should consist of two integers.

- in header before ending BFLDID we shall have "long" field to pull in 64bit alignment.

- All fields in UBF, shall be in size of modulus 8

- The long fields and double fields will have BFLDID, integer (for 32bit adding to address) and the long/float by it self.

All this above will ensure 8 byte alignment.

#2 - 11/22/2017 11:59 AM - Madars

Another option BFLDID use as 64bit long. And align all fields to 8.

For user api keep origianl BFLDID as 32bit, but internally cast it to 64bit...

So this will ensure all alignment to 8 bytes.

#3 - 01/05/2018 11:30 AM - Madars

https://www.ibm.com/developerworks/library/pa-dalign/

#4 - 09/01/2018 09:33 AM - Madars

- Parent task set to #328

#5 - 09/01/2018 09:34 AM - Madars

The other option would be to add temp field after BFLDID, type int, that shall make the next field to be aligned by 8.

#6 - 09/02/2018 12:26 PM - Madars

- Status changed from New to In Progress

- % Done changed from 0 to 100

#7 - 09/03/2018 06:23 AM - Madars

- Status changed from In Progress to Resolved
https://www.ibm.com/developerworks/library/pa-dalign/


#8 - 09/03/2018 06:24 AM - Madars

- Status changed from Resolved to Closed
